Skip to main content
POST
/
action
/
prospect_research_render_prospect_html
[PR2] Render Prospect Brief HTML
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/prospect_research_render_prospect_html \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prospect_research": "{{prospect_research}}",
  "output_variable_name": "prospect_html"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
prospect_research
string
default:{{prospect_research}}
required

Output from the Research Prospect action.

output_variable_name
string
default:prospect_html
required

Variable name to store the rendered HTML.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action